public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Jimi Huotari" <chiitoo@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-im/qtox/
Date: Thu, 09 Jan 2025 21:21:05 +0000 (UTC)	[thread overview]
Message-ID: <1736457460.b8c1845de8f6e4b4ef8ea1f2f3c148cb898e46f4.chiitoo@gentoo> (raw)

commit:     b8c1845de8f6e4b4ef8ea1f2f3c148cb898e46f4
Author:     Jimi Huotari <chiitoo <AT> gentoo <DOT> org>
AuthorDate: Thu Jan  9 21:09:30 2025 +0000
Commit:     Jimi Huotari <chiitoo <AT> gentoo <DOT> org>
CommitDate: Thu Jan  9 21:17:40 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b8c1845d

net-im/qtox: add 1.18.1

Closes: https://bugs.gentoo.org/895634
Signed-off-by: Jimi Huotari <chiitoo <AT> gentoo.org>

 net-im/qtox/qtox-1.18.1.ebuild | 78 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 78 insertions(+)

diff --git a/net-im/qtox/qtox-1.18.1.ebuild b/net-im/qtox/qtox-1.18.1.ebuild
new file mode 100644
index 000000000000..fe5515aba16b
--- /dev/null
+++ b/net-im/qtox/qtox-1.18.1.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake xdg
+
+if [[ ${PV} == 9999 ]]; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/TokTok/qTox.git"
+else
+	MY_P="qTox-${PV}"
+	SRC_URI="https://github.com/TokTok/qTox/archive/v${PV}/v${PV}.tar.gz -> ${MY_P}.tar.gz"
+	KEYWORDS="~amd64"
+	S="${WORKDIR}/qTox-${PV}"
+fi
+
+DESCRIPTION="Instant messaging client using the encrypted p2p Tox protocol"
+HOMEPAGE="https://qtox.github.io/"
+
+LICENSE="GPL-3+"
+SLOT="0"
+IUSE="spellcheck X"
+
+BDEPEND="
+	dev-qt/qttools:6[linguist]
+	virtual/pkgconfig
+"
+RDEPEND="
+	dev-db/sqlcipher
+	dev-libs/libsodium:=
+	dev-qt/qtbase:6[concurrent,gui,network,opengl,widgets,xml]
+	dev-qt/qtsvg:6
+	media-gfx/qrencode:=
+	media-libs/libexif
+	media-libs/openal
+	media-video/ffmpeg:=[webp,v4l]
+	>=net-libs/tox-0.2.19:=[av]
+	spellcheck? (
+		|| (
+			kde-frameworks/sonnet:6[aspell]
+			kde-frameworks/sonnet:6[hunspell]
+		)
+	)
+	X? (
+		dev-qt/qtbase:6=[X]
+		x11-libs/libX11
+		x11-libs/libXScrnSaver
+	)
+"
+DEPEND="${RDEPEND}
+	X? ( x11-base/xorg-proto )
+"
+
+DOCS=( CHANGELOG.md README.md doc/user_manual_en.md )
+
+src_configure() {
+	local mycmakeargs=(
+		-DASAN=OFF
+		-DPLATFORM_EXTENSIONS=$(usex X)
+		-DSPELL_CHECK=$(usex spellcheck)
+		-DSTRICT_OPTIONS=OFF
+		-DSVGZ_ICON=ON
+		-DTSAN=OFF
+		-DUBSAN=ON
+		-DUPDATE_CHECK=OFF
+		-DUSE_CCACHE=OFF
+	)
+
+	[[ ${PV} != 9999 ]] && mycmakeargs+=( -DGIT_DESCRIBE=${PV} )
+
+	cmake_src_configure
+}
+
+src_test() {
+	# The excluded tests require network access.
+	cmake_src_test -E "test_(bsu|core)"
+}


             reply	other threads:[~2025-01-09 21:21 UTC|newest]

Thread overview: 58+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2025-01-09 21:21 Jimi Huotari [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-09 22:05 [gentoo-commits] repo/gentoo:master commit in: net-im/qtox/ Andreas Sturmlechner
2025-03-06 23:49 Sam James
2025-02-25 14:08 Jimi Huotari
2025-02-25 14:08 Jimi Huotari
2025-01-15 10:14 Jimi Huotari
2025-01-15 10:14 Jimi Huotari
2025-01-09 21:21 Jimi Huotari
2024-12-07 15:51 Jimi Huotari
2023-12-16 20:35 Jimi Huotari
2023-12-16 20:35 Jimi Huotari
2023-12-16 19:16 Arthur Zamarin
2023-10-21 19:37 Jimi Huotari
2022-11-23  1:45 Sam James
2022-09-08 16:05 Andreas Sturmlechner
2022-09-08 16:05 Andreas Sturmlechner
2022-09-02 21:45 Sam James
2022-03-15 20:03 Ionen Wolkens
2022-01-22  0:34 Ionen Wolkens
2022-01-22  0:34 Ionen Wolkens
2021-11-25 20:07 Sam James
2021-11-25  1:07 Ionen Wolkens
2021-10-25  4:35 Ionen Wolkens
2021-10-25  4:35 Ionen Wolkens
2021-04-15  8:56 Joonas Niilola
2021-04-15  8:56 Joonas Niilola
2021-01-09 10:36 Sam James
2020-01-19 23:53 Andreas Sturmlechner
2020-01-19 23:53 Andreas Sturmlechner
2018-10-12 19:29 Michał Górny
2018-09-18  6:57 Michał Górny
2018-09-15 13:37 Pacho Ramos
2018-08-12 16:58 Michał Górny
2018-07-19 19:51 Jonas Stein
2017-12-06 12:36 Michael Palimaka
2017-09-26 13:10 Michael Palimaka
2017-08-19  7:32 Michał Górny
2017-08-18 19:24 Michał Górny
2017-08-18 19:24 Michał Górny
2017-08-18 19:24 Michał Górny
2017-02-08 20:28 Göktürk Yüksek
2017-02-07 19:42 Göktürk Yüksek
2017-01-27 18:48 Göktürk Yüksek
2017-01-04 20:19 Göktürk Yüksek
2016-12-19 20:17 Michał Górny
2016-12-11  2:35 Göktürk Yüksek
2016-12-01 17:46 Göktürk Yüksek
2016-11-17  5:31 Göktürk Yüksek
2016-09-08 10:08 Patrick Lauer
2016-09-08  7:06 Patrice Clement
2016-08-10 13:53 Marek Szuba
2016-07-13 18:22 Michael Palimaka
2016-06-22  6:43 Patrice Clement
2016-04-25 10:08 Sam Jorna
2016-04-25 10:08 Sam Jorna
2016-04-11 20:21 Patrice Clement
2016-03-26 19:16 Patrice Clement
2016-03-15 17:19 Michael Palimaka

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1736457460.b8c1845de8f6e4b4ef8ea1f2f3c148cb898e46f4.chiitoo@gentoo \
    --to=chiitoo@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox